//-- placeholders shortcut
%center {
	margin: 0 auto;
	display: block;
}

%vertical-center {
	position: relative;
	top: 50%;
	-ms-transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
 }

//-- font
@mixin font-face($name, $file) {
	@font-face {
	font-family: "#{$name}";
	src: url("../fonts/#{$file}.eot");
	src: url("../fonts/#{$file}.eot?#iefix") format("embedded-opentype"),
	url("../fonts/#{$file}.woff") format("woff"),
	url("../fonts/#{$file}.ttf") format("truetype"),
	url("../fonts/#{$file}.svg?#webfont") format("svg");
  }
 }

 @mixin truncate($truncation-boundary) {
    max-width: $truncation-boundary;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

//-- responsive
$breakpoints: (
    "phone-sm":     350px,
    "phone":        400px,
    "phone-wide":   480px,
    "phablet":      560px,
    "tablet-small": 640px,
    "tablet":       768px,
    "tablet-wide":  1024px,
    "desktop":      1248px,
    "desktop-wide": 1440px
);
@mixin mq($width, $type: min) { //ex : @include mq(phone)
    @if map_has_key($breakpoints, $width) {
        $width: map_get($breakpoints, $width);
        @media screen and (#{$type}-width: $width) {
            @content;
        }
    }
}

// -- Padding proportion 

$padding-xsmall : 8px;
$padding-small : 16px;
$padding-regular : 24px;
$padding-medium : 32px;
$padding-large : 40px;
$padding-xlarge : 72px;

@mixin padding($top, $right, $bottom, $left) {
  padding-top: $top;
  padding-right: $right;
  padding-bottom: $bottom;
  padding-left: $left;
}
@mixin margin($top, $right, $bottom, $left) {
  margin-top: $top;
  margin-right: $right;
  margin-bottom: $bottom;
  margin-left: $left;
}
